function par = getAWalkerParams
    L = 1; C = 0.645; R = 0.3;
    g = 9.81; gamma = 0;
    Il = 0.017; It = 0.167; 
    M = 0.16; Mt = 0.68;

    par.m = M;
    par.m1 = M + Mt;
    par.C = C;
    par.C1 = (C*M+L*Mt)/par.m1;
    par.I = Il;
    par.I1 = Il + It + (par.C-C)^2*M + (L-par.C)^2*Mt;
    par.L = L;
    par.R = R;
    par.gamma = gamma;
    par.g = g;

    par.k = 1;
    par.imp = 0.125;
end
