function dwav = computeDerivWorldAngVel(q,wav,MoI,worldTorque)
    R = quatrot(q);
    dR = reshape(quatrotderiv(q)*computeQuatDeriv(q,wav,true),[3,3]);
    wMoI = R*MoI*R.';
    dwMoI = dR*MoI*R.' + R*MoI*dR.';
    dwav = wMoI \ (worldTorque - dwMoI*wav);
end