function qdot = computeQuatDeriv(q,angvel,isWorld)
    if isWorld
        % angvel is expressed in the world frame
        qdot = 0.5*quatmult([0;angvel],q);
    else
        % angvel is expressed in the bodys frame
        qdot = 0.5*quatmult(q,[0;angvel]);
    end
end
