function varargout = size(this,dim)
    if nargin == 1
        sz = this.sz;
    elseif nargin == 2
        if dim <= length(this.sz)
            sz = this.sz(dim);
        else
            sz = 1;
        end
        assert(nargout <= 1);
    end
    if nargout <= 1
        varargout{1} = sz;
    else
        if nargout > length(sz)
            sz = [sz ones([1,nargout-length(sz)])];
        end
        for i = 1:(nargout-1)
            varargout{i} = sz(i);
        end
        varargout{nargout} = prod(sz(nargout:end));
    end
end
