function displayEllipsoidPart(mass,MoI,R,c)
    r2 = (mass/5)*(ones(3) - eye(3))\MoI;
    A = R*diag(sqrt(abs(r2)));

    [X,Y,Z] = sphere();

    rX = A(1,1)*X + A(1,2)*Y + A(1,3)*Z + c(1);
    rY = A(2,1)*X + A(2,2)*Y + A(2,3)*Z + c(2);
    rZ = A(3,1)*X + A(3,2)*Y + A(3,3)*Z + c(3);
    
    surf(rX,rY,rZ);
end
